
// 异步模块
// const LAYOUT = () => import('@/components/Layout/Layout.vue')
const ERROR = () => import('@/views/exception/errors.vue')

// login
const LOGIN = () => import("@/views/login/index.vue")
const HOME = () => import("@/views/home/index.vue")

export const publicMenu = [
  {
    path: "/home",
    name: "home",
    component: HOME,
    meta: {
      title: '首页',
      icon: 'Dh-shouye3'
    }
  },
]

export const systemRoutes = [
  {
    path: "/login",
    name: "login",
    component: LOGIN,
    meta: {
      title: '登录'
    }
  },
  {
    path: '/errors',
    name: 'errors',
    meta: {
      title: '异常页',
    },
    component: ERROR,
  }
];

// const systemRouter = [
//   {
//     path: '/system',
//     name: 'system',
//     redirect: '/system-user',
//     meta: {
//       icon: "menu-gongju",
//       title: '系统',
//     },
//     children: [
//       {
//         path: '/system-user',
//         name: 'system-user',
//         meta: {
//           title: '员工账号',
//         },
//         component: () => import('@/views/system/user/index.vue')
//       },
//       {
//         path: '/system-role',
//         name: 'system-role',
//         meta: {
//           title: '角色权限',
//         },
//         component: () => import('@/views/system/role/index.vue')
//       },
//       {
//         path: '/system-menu',
//         name: 'system-menu',
//         meta: {
//           title: '菜单管理',
//         },
//         component: () => import('@/views/system/menu/index.vue')
//       }
//     ]
//   }
// ]



// export default systemRouter